complexType "Tranche"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | attachmentPoint, exhaustionPoint, incurredRecoveryApplicable?
</...>

Content Model Elements (3):

  attachmentPoint, exhaustionPoint, incurredRecoveryApplicable

All Direct / Indirect Based Elements (2):

  tranche (in basketReferenceInformation), | tranche (in indexReferenceInformation)

Known Usage Locations

- As direct type of elements (2):

  tranche (in basketReferenceInformation), | tranche (in indexReferenceInformation)

Annotation
This type represents a CDS Tranche.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="Tranche"> <xsd:sequence> <xsd:element name="attachmentPoint" type="xsd:decimal"/> <xsd:element name="exhaustionPoint" type="xsd:decimal"/> <xsd:element minOccurs="0" name="incurredRecoveryApplicable" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
attachmentPoint

  Type: | xsd:decimal, predefined, simple content

  Lower bound percentage of the loss that the Tranche can endure, expressed as a decimal. An attachment point of 5% would be represented as 0.05. The difference between Attachment and Exhaustion points is call the width of the Tranche. A schema facet to constraint the value between 0 to 1 will be introduced in FpML 4.3.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="attachmentPoint" type="xsd:decimal"/>

exhaustionPoint

  Type: | xsd:decimal, predefined, simple content

  Upper bound percentage of the loss that the Tranche can endure, expressed as a decimal. An exhaustion point of 5% would be represented as 0.05. The difference between Attachment and Exhaustion points is call the width of the Tranche. A schema facet to constraint the value between 0 to 1 will be introduced in FpML 4.3.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="exhaustionPoint" type="xsd:decimal"/>

incurredRecoveryApplicable

  Type: | xsd:boolean, predefined, simple content

  Outstanding Swap Notional Amount is defined at any time on any day, as the greater of: (a) Zero; If Incurred Recovery Amount Applicable: (b) The Original Swap Notional Amount minus the sum of all Incurred Loss Amounts and all Incurred Recovery Amounts (if any) determined under this Confirmation at or prior to such time.Incurred Recovery Amount not populated: (b) The Original Swap Notional Amount minus the sum of all Incurred Loss Amounts determined under this Confirmation at or prior to such time.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="incurredRecoveryApplicable" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.